<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=windows-1250" />
<title>Seznam zaměstnanců</title>
</head>

<body>
<?php
	error_reporting(E_ALL ^ E_NOTICE);

	$nazev_souboru="data/zamestnanci.csv";

	if (file_exists($nazev_souboru)) {
		$soubor=fopen($nazev_souboru, "r");
		if($soubor){
			$pocetradku = 0;
			while (!feof($soubor)){
				$pocetradku = $pocetradku + 1;
				$radek = fgets($soubor,5000);
				if ($pocetradku == 1) {
					print("<h1>".$radek."</h1>");
				} else {
					if ($pocetradku == 2){
						print("<table cellspacing=\"0\" cellpadding=\"0\">");
						print("<thead><tr><th>Příjmení, jméno, titul</th><th>Zkratka</th><th>Telefon</th></tr></thead>");
						print("<tbody>");
					}else{
/*						$pole = explode(";",$radek); 
						$jmeno = $pole[0];
						$prijmeni = $pole[1];
						$titul = $pole[2];
						$telefon = $pole[4];
						$zkratka = $pole[6];*/						
						list($jmeno,$prijmeni,$titul,$email,$telefon,$fotografie,$zkratka) = explode(";", $radek);
						print("<tr>");
						print("<td>".$prijmeni." ".$jmeno);
						if ($titul<>""){
							print(", ".$titul);	
						}
						print("</td><td>".$zkratka."</td><td>".$telefon."</td>");
						print("</tr>");
					}
				}
			}
			print("</tbody>");
			print("</table>");
			
		} else {
			print("Soubor ".$nazev_souboru." se nepodařilo otevřít pro čtení.");			
		}
	} else {
		print("Soubor ".$nazev_souboru." neexistuje.");
	}


?>


</body>
</html>